[quagga-dev 9072] Re: zserv protocol breakage

Balaji G balajig81 at gmail.com
Thu Feb 16 06:24:46 GMT 2012


Hi David

>just to state the obvious: Balaji's SAFI patches broke zserv protocol
>compatibility by introducing a new field into existing messages.

Oh sorry for hat, i could fix this and send an updated patch or would you
be doing this along with the PIM merge ?

Let me know

Thanks,
Cheers,
  - Balaji

On Thu, Feb 16, 2012 at 11:30 AM, David Lamparter <equinox at diac24.net>wrote:

> Hi everyone,
>
>
> just to state the obvious: Balaji's SAFI patches broke zserv protocol
> compatibility by introducing a new field into existing messages.
>
> I don't really have much of a problem with this, but I guess we should
> increase the protocol version number. Alternatively, we can fix it
> before making the next release.
>
> Out-of-quagga zserv implementations /do/ exist, most notably in olsrd's
> old quagga plugin (which should not be used in favour of the new one
> which uses libzebra, cf. http://git.nowhere.ws/?p=olsrd-zclient.git )
> Funnily enough I know personally know the authors of both plugins :)
>
>
> -David
> _______________________________________________
> Quagga-dev mailing list
> Quagga-dev at lists.quagga.net
> http://lists.quagga.net/mailman/listinfo/quagga-dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.quagga.net/pipermail/quagga-dev/attachments/20120216/6ccfc53d/attachment-0001.html>


More information about the Quagga-dev mailing list